<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function action_ciwidget_importer_dist() {
	include_spip('inc/headers');
	http_status(204); // No Content
	header("Connection: close");
        $type_widget = _request('type_widget');
        $id_widget = intval(_request('id_widget'));
        $url_objet = _request('url');

        if (in_array($type_widget,array('graphique','tableau')) AND intval($id_widget)>0){
            // ne pas lancer dans le cas d'un bot
            if (!defined('_IS_BOT') OR !_IS_BOT) {
                // anti DDOS : ne pas lancer si on vient de lancer un import sur le meme widget il y a moins de 60 secondes
                if (!file_exists($lock = _DIR_TMP . "ciwidget_action_importer_".$type_widget.$id_widget.".lock") OR ($_SERVER['REQUEST_TIME'] - @filemtime($lock) > 60 )) {
                    @touch($lock);
                    include_spip('inc/ciwidget_importer');
                    ciwidget_importer_widget($id_widget,$type_widget,$url_objet);
                }
            }
        }
}
