<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/ciwidget_commun');


function formulaires_ciwidget_config_export_charger_dist() {
    if (!autoriser('configurer configuration'))
        return false;

    $valeurs = array('choix_export' => 'oui');

    return $valeurs;
}


function formulaires_ciwidget_config_export_verifier_dist(){
    $erreurs = array();
    
    if (!_request('choix_export')){
        $erreurs['choix_export'] =  _T('ciwidget:valeur_incorrecte');
    }
    
    return $erreurs;
}


function formulaires_ciwidget_config_export_traiter_dist() {
    include_spip('inc/actions');
    
    $arg = implode('-',_request('choix_export'));
    if ($arg) {
        $type = _request('type_export');
        if ($type=="type_php"){
            $arg .= "-type_php";
        } else {
            $arg .= "-type_txt";
        }
    }
    
    if ($arg) {
            // on lance l'action puis une redirection
            include_spip('inc/actions');
            $redirect = generer_action_auteur('ciwidget_export_config', $arg);

            return array('message_ok' => 'ok', 'redirect' => $redirect);
    } else {
            return array('message_erreur' => 'erreur');
    }
    
}

?>