<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}
include_spip('inc/presentation');
include_spip('inc/config');
include_spip('inc/ciwidget_inc_meta');
include_spip('inc/ciwidget_verifier');

function formulaires_ciwidget_configurer_iframe_charger_dist() {
    $widget = 'iframe';
    return formulaires_ciwidget_configurer_charger($widget);
}

function formulaires_ciwidget_configurer_iframe_verifier_dist() {
    $widget = 'iframe';
    $erreurs = formulaires_ciwidget_configurer_verifier($widget);
    
    if (!$erreurs){
	$limiter_hosts = _request('limiter_hosts');	
	$hosts_liste = trim(_request('hosts_liste'));	
	if ($limiter_hosts=='oui' AND !$hosts_liste){
		$erreurs['hosts_liste'] = _T('info_obligatoire');
        }
    }
    
    return $erreurs;
}

function formulaires_ciwidget_configurer_iframe_traiter_dist() {
    $widget = 'iframe';
    return formulaires_ciwidget_configurer_traiter($widget);
}

?>