<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/widget_commun');

/*
 * Extraire l'id
 */
function ci_linkedin_id($code){
    $return = '';
    if (empty($code)){
        return '';
    }
    $debut = strpos($code,'src="https://www.linkedin.com/embed/feed/update/');
    
    if ($debut>0){
        $extrait = substr($code,$debut+48);
        $fin = strpos($extrait,'"');
        if ($fin>0){
            $return = substr($extrait, 0, $fin);
        }
    }    
    
    return $return;
}

function ci_linkedin_largeur_iframe($code){
    $return = '';
    if (empty($code)){
        return '';
    }
    $debut = strpos($code,'width="');
    
    if ($debut>0){
        $extrait = substr($code,$debut+7);
        $fin = strpos($extrait,'"');
        if ($fin>0){
            $return = substr($extrait, 0, $fin);
        }
    }    
    
    return $return;
}

function ci_linkedin_hauteur_iframe($code){
    $return = '';
    if (empty($code)){
        return '';
    }
    $debut = strpos($code,'height="');
    
    if ($debut>0){
        $extrait = substr($code,$debut+8);
        $fin = strpos($extrait,'"');
        if ($fin>0){
            $return = substr($extrait, 0, $fin);
        }
    }    
    
    return $return;
}

function ci_linkedin_hauteur($largeur,$code,$augmenter_hauteur){
    return intval(ci_linkedin_hauteur_iframe($code)) + intval($augmenter_hauteur);
}

?>